# $Revision: 1.29 $, $Date: 2009/10/03 23:13:10 $
Summary:	Input extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia Input
Name:		xorg-proto-inputproto
Version:	2.0
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/inputproto-%{version}.tar.bz2
# Source0-md5:	0f7acbc14a082f9ae03744396527d23d
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Input extension headers.

%description -l pl.UTF-8
Nagłówki rozszerzenia Input.

%package devel
Summary:	Input extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia Input
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel

%description devel
Input extension headers.

%description devel -l pl.UTF-8
Nagłówki rozszerzenia Input.

%prep
%setup -q -n inputproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog XIproto.txt XI2proto.txt
%{_includedir}/X11/extensions/XI*.h
%{_pkgconfigdir}/inputproto.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-proto-inputproto.spec,v $
Revision 1.29  2009/10/03 23:13:10  qboosh
- util-macros version
- added XI*proto.txt to doc

Revision 1.28  2009/10/02 06:38:42  arekm
- up to 2.0

Revision 1.27  2009/09/04 08:04:16  arekm
- up to 1.9.99.902 (not meant for th main yet)

Revision 1.26  2009/06/18 04:09:21  arekm
- up to 1.5.1

Revision 1.25  2008/11/28 07:31:38  arekm
- up to 1.5.0

Revision 1.24  2008/07/30 22:01:26  qboosh
- restored docs

Revision 1.23  2008/07/29 05:26:27  arekm
- real 1.4.4

Revision 1.22  2008/07/29 05:21:44  arekm
- up to 1.4.4

Revision 1.21  2008-04-02 21:01:12  arvenil
- patch for compatibility with qt
- adapter
- release 2

Revision 1.20  2008-03-06 07:27:35  arekm
- up to 1.4.3

Revision 1.19  2007/08/31 13:07:36  arekm
- up to 1.4.2.1 (no real changes)

Revision 1.18  2007/04/28 08:40:38  qboosh
- updated to 1.4.2
- desc fix (Input is an extension)

Revision 1.17  2007/02/15 14:50:08  arekm
- up to 1.4.1

Revision 1.16  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.14  2006/11/02 10:45:26  arekm
- up to 1.4

Revision 1.13  2006/05/14 17:11:09  arekm
- no more X11R7.0 in setup

Revision 1.12  2006/05/08 17:07:57  arekm
- update md5sum for individual files.

Revision 1.11  2006/05/08 17:00:03  arekm
- switch to individual files

Revision 1.10  2006/02/03 20:26:25  pluto
- release 1.

Revision 1.9  2005/12/22 13:04:41  qboosh
- sources from X11R7.0 release

Revision 1.8  2005/12/19 15:57:09  qboosh
- 1.3.2 (X11R7.0-RC4)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/20 12:51:06  qboosh
- BR: autoconf >= 2.57

Revision 1.5  2005/10/20 10:45:02  qboosh
- 1.3.1 (X11R7.0-RC1)

Revision 1.4  2005/08/27 19:32:50  wiget
- kill /usr/X11R6

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/27 16:12:43  qboosh
- cleanups

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs
